class Picture < ActiveRecord::Base
  belongs_to :candidate
 
  def set_from_field(field)
    unless field.content_type.match(/^image/)
      return false
    end
    self.filename = base_part_of(field.original_filename)
    self.filetype =  field.content_type.chomp
    self.data = field.read
    self
  end

  def base_part_of(filename)
    name = File.basename(filename)
    name.gsub(/[^\w._-]/, '')
  end

end

